Name:         security-menus
Version:      1.1.3
Release:      1%{?dist}
Summary:      Menu Structure for the Security Spin

License:      GPLv2
Group:        User Interface/Desktops
URL:          https://fedorahosted.org/security-spin
Source0:      https://fedorahosted.org/released/security-spin/%{name}-%{version}.tar.bz2
BuildArch:    noarch

Requires :     redhat-menus
BuildRequires: desktop-file-utils 

%description
This Package adds a Security Lab sub-menu to the xdg menu structure for 
GNOME and other desktop enviroments.

%{name} is listed among Fedora Security Lab packages.

%prep
%setup -q

%build
# nothing to build

%install
make install DESTDIR=%{buildroot}
for file in %{buildroot}/%{_datadir}/applications/*; do 
    desktop-file-validate $file
done

%files
%doc AUTHORS COPYING README
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/*.menu
%{_datadir}/desktop-directories/*.directory
%{_datadir}/applications/*.desktop

%changelog
* Sun Nov 04 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.3-1
- Updated to new upstream release

* Sun Nov 04 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.2-1
- Updated

* Wed Oct 31 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-1
- Updated

* Sun Oct 28 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.0-1
- Updated menu entries
- spec file updated
- Switched to Terminal instead of gnome-terminal

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 17 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.5-1
- Updated menu entries

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 11 2011 Joerg Simon <jsimon@fedoraproject.org> - 1.0.4-1
- changed menu entries

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 28 2010 Joerg Simon <jsimon@fedoraproject.org> - 1.0.3-1
- changed to downsize the spin

* Fri Aug 27 2010 Joerg Simon <jsimon@fedoraproject.org> - 1.0.2-1
- Added new entries

* Sat Mar 13 2010 Joerg Simon <jsimon@fedoraproject.org> - 1.0.1-1
- Added ncrack to the menu

* Fri Jan 15 2010 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-7
- Changed packge name to security-menus

* Wed Jan 13 2010 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-6
- Fixed .menu file, thanks to Joerg for the patch

* Tue Jan 12 2010 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-5
- Rename X-Security-Lab to X-SecurityLab for better fdo compliance.  Whitespces  are usually just left out.
i Add subcategories X-Anonymity, X-CodeAnalysis, X-Forensics,  X-IntrusionDetection, X-Password-Tools, X-Reconnaissance and  X-Wireless
- Use TryExec to determine installed apps, see http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s05.html
- Menu tweaks
- Enhance Makefile
- Added AUTHORS
- Added ChangeLog (for upstream changes, not packaging).
- Added desktop-file-validate
- Fixed requires

* Sat Dec 19 2009 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-4
- Changed Categories to X-Security-Lab
- Changed Source file name to include version number

* Sat Dec 19 2009 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-3
- Renamed files to start with security- to avoid conflict

* Sat Dec 19 2009 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-2
- Fixed problems with Makefile
- Fixed License

* Fri Dec 18 2009 Hiemanshu Sharma <hiemanshu [AT] fedoraproject DOT org> - 1.0-1
- Initial package for Fedora
